> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Box Hub Collaborations resources

A set of endpoints used to manage collaborations within a Box Hub.

## Box Hub Collaboration

A Box Hub collaboration object grants a user or group access to a Box Hub with permissions defined by a specific role.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `id` | `string` | Yes | The unique identifier for this collaboration. |
> | `type` | `enum<string>` | Yes | The value will always be `hub_collaboration`. Available options: `hub_collaboration`. |
> | `hub` | [Box Hub (Base)](https://developer.box.com/reference/v2025.0/hubs-resources#box-hub-base) | No | |
> | `accessible_by` | `Box Hub Accessible By` | No | |
> | `role` | `string` | No | The level of access granted to a Box Hub. Possible values are `editor`, `viewer`, and `co-owner`. |
> | `status` | `enum<string>` | No | The status of the collaboration invitation. If the status is `pending`, `login` and `name` return an empty string. Available options: `accepted`, `pending`, `rejected`. |
> | `acceptance_requirements_status` | `object` | No | |
>
> ```json Example theme={null}
> {
>   "id": "12345678",
>   "type": "hub_collaboration",
>   "hub": {
>     "id": "12345",
>     "type": "hubs"
>   },
>   "accessible_by": {
>     "id": "11446498",
>     "type": "user",
>     "name": "Aaron Levie",
>     "login": "ceo@example.com"
>   },
>   "role": "editor",
>   "status": "accepted",
>   "acceptance_requirements_status": {
>     "terms_of_service_requirement": {
>       "is_accepted": true,
>       "terms_of_service": {
>         "id": "11446498",
>         "type": "terms_of_service"
>       }
>     },
>     "strong_password_requirement": {
>       "enterprise_has_strong_password_required_for_external_users": true,
>       "user_has_strong_password": true
>     },
>     "two_factor_authentication_requirement": {
>       "enterprise_has_two_factor_auth_enabled": true,
>       "user_has_two_factor_authentication_enabled": true
>     }
>   }
> }
> ```

## Box Hub Collaborations

A list of Box Hub collaborations.

> [accordion] Attributes and example
>
> | Property | Type | Required | Description |
> | - | - | - | - |
> | `entries` | array of [Box Hub Collaboration](#box-hub-collaboration) | No | A list of Box Hub collaborations. |
> | `limit` | `integer` | No | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
> | `next_marker` | `string` | No | The marker for the start of the next page of results. Can be `null`. |
>
> ```json Example theme={null}
> {
>   "entries": [
>     {
>       "id": "12345678",
>       "type": "hub_collaboration",
>       "hub": {
>         "id": "12345",
>         "type": "hubs"
>       },
>       "accessible_by": {
>         "id": "11446498",
>         "type": "user",
>         "name": "Aaron Levie",
>         "login": "ceo@example.com"
>       },
>       "role": "editor",
>       "status": "accepted",
>       "acceptance_requirements_status": {
>         "terms_of_service_requirement": {
>           "is_accepted": true,
>           "terms_of_service": {
>             "id": "11446498",
>             "type": "terms_of_service"
>           }
>         },
>         "strong_password_requirement": {
>           "enterprise_has_strong_password_required_for_external_users": true,
>           "user_has_strong_password": true
>         },
>         "two_factor_authentication_requirement": {
>           "enterprise_has_two_factor_auth_enabled": true,
>           "user_has_two_factor_authentication_enabled": true
>         }
>       }
>     }
>   ],
>   "limit": 1000,
>   "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
> }
> ```
